org.apache.ignite.internal.processors.odbc

## Class OdbcQueryFetchResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcQueryFetchResult

    public class OdbcQueryFetchResult
    extends Object

Query fetch result.

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryFetchResult(long queryId, Collection<?> items, boolean last)`

### Method Summary

Methods
`Collection<?>` `items()`
`boolean` `last()`
`long` `queryId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcQueryFetchResult

    public OdbcQueryFetchResult(long queryId,
                        Collection<?> items,
                        boolean last)

Parameters:
  `queryId` - Query ID.
  `items` - Query result rows.
  `last` - Flag indicating the query has no unfetched results.

### Method Detail

#### queryId

    public long queryId()

Returns:
  Query ID.

#### items

    public Collection<?> items()

Returns:
  Query result rows.

#### last

    public boolean last()

Returns:
  Flag indicating the query has no unfetched results.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016